Skip to main content
GET
List
🔑 Requires the alerts.view scope.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Query Parameters

alert_id
string

ID of the alert to list attachments for. Provide exactly one of alert_id or alert_group_id.

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

alert_group_id
string

ID of the alert group to list attachments for. Provide exactly one of alert_id or alert_group_id.

Example:

"01HB9Z8WANK6P870EA6S7TK1DS"

page_size
integer<int64>
default:25

Integer number of records to return

Required range: 1 <= x <= 250
Example:

25

after
string

An alert attachment's ID. This endpoint will return the attachments after this one in the response order.

Example:

"01J1X9J85C7Y12G8P8W8K55Q5Y"

Response

OK response.

alert_attachments
object[]
required
Example:
pagination_meta
object
Example: